oCoreoCore Docs
API Reference

Git Hub Integration

Get project GitHub integration config

Returns the GitHub integration feature toggles for a project.

GET
/projects/{id}/github

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

Project UUID

curl -X GET "//api.ocore.dev/api/projects/<string>/github" \
  -H "Authorization: <token>"

OK

{
  "check_runs_enabled": true,
  "commit_statuses_enabled": true,
  "deployments_api_enabled": true,
  "enabled": true,
  "environments_sync_enabled": true,
  "failure_count": 0,
  "has_github_app": true,
  "has_installation": true,
  "last_activity_at": "string",
  "permissions_pending": true,
  "pr_comments_enabled": true,
  "pr_previews_enabled": true,
  "preview_db_source": "string",
  "preview_ttl_hours": 0,
  "project_id": "string",
  "success_count": 0
}

Update project GitHub integration config

Updates GitHub integration feature toggles for a project.

PUT
/projects/{id}/github

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Config update

check_runs_enabledboolean
commit_statuses_enabledboolean
deployments_api_enabledboolean
enabledboolean
environments_sync_enabledboolean
pr_comments_enabledboolean
pr_previews_enabledboolean
preview_db_sourcestring
preview_ttl_hoursinteger

Path Parameters

idRequiredstring

Project UUID

curl -X PUT "//api.ocore.dev/api/projects/<string>/github" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "check_runs_enabled": true,
    "commit_statuses_enabled": true,
    "deployments_api_enabled": true,
    "enabled": true,
    "environments_sync_enabled": true,
    "pr_comments_enabled": true,
    "pr_previews_enabled": true,
    "preview_db_source": "string",
    "preview_ttl_hours": 0
  }'

OK

{
  "check_runs_enabled": true,
  "commit_statuses_enabled": true,
  "deployments_api_enabled": true,
  "enabled": true,
  "environments_sync_enabled": true,
  "failure_count": 0,
  "has_github_app": true,
  "has_installation": true,
  "last_activity_at": "string",
  "permissions_pending": true,
  "pr_comments_enabled": true,
  "pr_previews_enabled": true,
  "preview_db_source": "string",
  "preview_ttl_hours": 0,
  "project_id": "string",
  "success_count": 0
}

Check GitHub App permissions

Returns the GitHub App installation status and known permission capabilities.

POST
/projects/{id}/github/check-permissions

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

idRequiredstring

Project UUID

curl -X POST "//api.ocore.dev/api/projects/<string>/github/check-permissions" \
  -H "Authorization: <token>"

OK

{
  "has_app": true,
  "has_installation": true,
  "permissions": {
    "property1": "string",
    "property2": "string"
  }
}

Get org GitHub integration defaults

Returns the org-level default feature toggles for GitHub integration.

GET
/settings/github-defaults

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

curl -X GET "//api.ocore.dev/api/settings/github-defaults" \
  -H "Authorization: <token>"

OK

{
  "check_runs": true,
  "commit_statuses": true,
  "deployments_api": true,
  "environments_sync": true,
  "pr_comments": true,
  "pr_previews": true
}

Update org GitHub integration defaults

Updates the org-level default feature toggles for GitHub integration.

PUT
/settings/github-defaults

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Default toggles update

check_runsboolean
commit_statusesboolean
deployments_apiboolean
environments_syncboolean
pr_commentsboolean
pr_previewsboolean
curl -X PUT "//api.ocore.dev/api/settings/github-defaults" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "check_runs": true,
    "commit_statuses": true,
    "deployments_api": true,
    "environments_sync": true,
    "pr_comments": true,
    "pr_previews": true
  }'

OK

{
  "check_runs": true,
  "commit_statuses": true,
  "deployments_api": true,
  "environments_sync": true,
  "pr_comments": true,
  "pr_previews": true
}

Was this page helpful?